net.corda.node.services.config

## Class ConfigUtilities

- net.corda.node.services.config.ConfigUtilities

-     public class ConfigUtilities

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `configureDevKeyAndTrustStores(SSLConfiguration $receiver, java.lang.String myLegalName)`
    `static void` | `configureWithDevSSLCertificate(NodeConfiguration $receiver)` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.
    `static <T> OptionalConfig<T>` | `getOrElse(com.typesafe.config.Config $receiver, kotlin.jvm.functions.Function0<? extends T> lambda)`
    `static java.util.Properties` | `getProperties(com.typesafe.config.Config $receiver, java.lang.String path)`
    `static <T> T` | `getValue(com.typesafe.config.Config $receiver, java.lang.Object receiver, kotlin.reflect.KProperty<?> metadata)`

- - ### Method Detail

    - #### getValue

          public static <T> T getValue(com.typesafe.config.Config $receiver,
                                       java.lang.Object receiver,
                                       kotlin.reflect.KProperty<?> metadata)

    - #### getOrElse

          public static <T> OptionalConfig<T> getOrElse(com.typesafe.config.Config $receiver,
                                                        kotlin.jvm.functions.Function0<? extends T> lambda)

    - #### getProperties

          public static java.util.Properties getProperties(com.typesafe.config.Config $receiver,
                                                           java.lang.String path)

    - #### configureWithDevSSLCertificate

          public static void configureWithDevSSLCertificate(NodeConfiguration $receiver)

      Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.

    - #### configureDevKeyAndTrustStores

          public static void configureDevKeyAndTrustStores(SSLConfiguration $receiver,
                                                           java.lang.String myLegalName)